Page MenuHomePhabricator

Register extension DataTable2 on translatewiki.net for translation
Open, Stalled, Needs TriagePublic

Description

Currently, the DataTable2 extension is not translatable on translatewiki.net. Could you please make it translatable? Thanks.

Event Timeline

rEDTB extension-DataTable2 has i18n folder and qqq.json data. If @Raymond is okay with how https://phabricator.wikimedia.org/diffusion/EDTB/browse/master/i18n/qqq.json are described, this should be easy. In case qqq.json messages need to be rewritten please let us know. Thank you!

The extension is on my review list. Some remarks for the en.json:

  • "datatable2-error" -> The wrapping div should go into the program code.
  • "datatable2-error-multiple-records" -> $3 needs PLURAL
  • "datatable2-error-sql-identifier" -> <tt> is invalid in HTML5. Use <code> instead
  • "datatable2-error-too-few-args" -> $2 needs PLURAL
  • "datatable2-error-too-many-columns" -> $2 ad $3 needs PLURAL
  • "datatable2pages-row" -> a trailing \n will be lost in translation. Should go into code
  • "datatable2tables-row" -> a trailing \n will be lost in translation. Should go into code

I would like to this fixed before I enable the extension for translatewiki.net

Vvjjkkii renamed this task from Register extension DataTable2 on translatewiki.net for translation to 32caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
CommunityTechBot renamed this task from 32caaaaaaa to Register extension DataTable2 on translatewiki.net for translation.Jul 2 2018, 4:16 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
abi_ changed the task status from Open to Stalled.Jun 12 2019, 3:08 AM
abi_ added a subscriber: abi_.

@Guycn2 - Once the issues outlined by Raymond are fixed, we can proceed on adding this project to Translatewiki.net

I would like to this fixed before I enable the extension for translatewiki.net

Moved to T266973 because different issues should be separate tasks.